public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/llfuse/
Date: Wed,  1 Jun 2022 07:21:40 +0000 (UTC)	[thread overview]
Message-ID: <1654068095.a1a8999729d8e4f7877968bf6e3e2ad3139ed98b.mgorny@gentoo> (raw)

commit:     a1a8999729d8e4f7877968bf6e3e2ad3139ed98b
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Jun  1 06:41:18 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jun  1 07:21:35 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a1a89997

dev-python/llfuse: Bump to 1.4.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/llfuse/Manifest            |  1 +
 dev-python/llfuse/llfuse-1.4.2.ebuild | 58 +++++++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/dev-python/llfuse/Manifest b/dev-python/llfuse/Manifest
index cdc4ca4377a7..e7b6859f1462 100644
--- a/dev-python/llfuse/Manifest
+++ b/dev-python/llfuse/Manifest
@@ -1 +1,2 @@
 DIST llfuse-1.4.1.tar.gz 774540 BLAKE2B f135ff3cde6effe72f5adf1b9ed58566183775ad45acbd1906db1f5c60a38ab74f0c7b6cda949b3ff2c4b46f036c91e16f9231ede1c78359c87758e6abde9ea4 SHA512 e94045018e9d78b7b16355dd499a27694a77a70d61102d05938223b99686e4b9d90b5e14745d92a187ac8e34aa593a12d99bff1baccb19d4236d54eb66ec3e4f
+DIST llfuse-1.4.2.tar.gz 834763 BLAKE2B 60bdfdd4567de4aa6ab5ea6692f48e6d68572bc13976e30fa9850c96b8a2c8a77638d3750df549b827a2bba0cc2dfa2a3f2cac3c4729278515a2703ecde446a1 SHA512 6a368af9e49f8537bbea396dfcd9fc024f8b93b161d3c6167d13c4ffb0ab20b6c8393447e71b5c147c82d4d1ee590ae08c512c93ccb28df78a06ab6833ac3705

diff --git a/dev-python/llfuse/llfuse-1.4.2.ebuild b/dev-python/llfuse/llfuse-1.4.2.ebuild
new file mode 100644
index 000000000000..4abb93eee3b9
--- /dev/null
+++ b/dev-python/llfuse/llfuse-1.4.2.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for the low-level FUSE API"
+HOMEPAGE="
+	https://github.com/python-llfuse/python-llfuse/
+	https://pypi.org/project/llfuse/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+IUSE="doc examples"
+
+RDEPEND="
+	>=sys-fs/fuse-2.8.0:0
+"
+DEPEND="
+	${RDEPEND}
+	sys-apps/attr
+"
+BDEPEND="
+	dev-python/cython[${PYTHON_USEDEP}]
+	virtual/pkgconfig
+"
+
+PATCHES=(
+	"${FILESDIR}"/llfuse-1.3.5-cflags.patch
+)
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	# force regen
+	rm src/llfuse.c || die
+	distutils-r1_src_prepare
+}
+
+python_compile() {
+	if [[ ! -f src/llfuse.c ]]; then
+		esetup.py build_cython
+	fi
+	distutils-r1_python_compile
+}
+
+python_install_all() {
+	use doc && local HTML_DOCS=( doc/html/. )
+	use examples && dodoc -r examples
+	distutils-r1_python_install_all
+}


             reply	other threads:[~2022-06-01  7:21 UTC|newest]

Thread overview: 55+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-06-01  7:21 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-01  3:17 [gentoo-commits] repo/gentoo:master commit in: dev-python/llfuse/ Michał Górny
2024-06-20 18:07 Michał Górny
2023-09-07 19:52 Sam James
2023-09-07 19:52 Sam James
2023-08-08  5:31 Michał Górny
2023-06-27 11:54 Michał Górny
2023-06-27  5:19 Jakov Smolić
2023-06-27  5:19 Jakov Smolić
2023-05-21  4:59 Michał Górny
2023-05-04 16:17 Michał Górny
2023-03-16  3:56 Michał Górny
2022-07-02 19:26 Michał Górny
2022-07-02 18:18 Sam James
2022-07-02 16:05 Jakov Smolić
2021-07-13 18:52 Piotr Karbowski
2021-06-22 13:10 Marek Szuba
2021-03-26 20:34 Michał Górny
2021-03-26 18:36 Sam James
2021-03-26  7:45 Agostino Sarubbo
2021-02-26 10:57 Agostino Sarubbo
2021-02-21 19:50 Sam James
2021-02-01  8:50 Michał Górny
2021-01-30 10:26 Sam James
2021-01-26  2:04 Sam James
2021-01-25  8:21 Michał Górny
2020-09-18 15:19 Michał Górny
2020-07-09 10:55 Michał Górny
2020-06-15 18:06 Sergei Trofimovich
2020-05-13  2:33 Patrick McLean
2020-03-07 11:03 Agostino Sarubbo
2020-03-07  9:44 Agostino Sarubbo
2020-02-05 16:24 Michał Górny
2018-07-01  4:16 Tim Harder
2018-03-01 19:35 Tim Harder
2018-03-01 19:35 Tim Harder
2018-03-01 19:35 Tim Harder
2018-01-05  9:36 Michał Górny
2017-11-19  2:50 Tim Harder
2017-08-22  6:08 Tim Harder
2017-08-22  6:08 Tim Harder
2017-08-22  6:08 Tim Harder
2017-05-02 15:15 Michał Górny
2017-03-01  7:33 Tim Harder
2017-03-01  7:23 Tim Harder
2016-08-22  2:46 Tim Harder
2016-08-05 21:22 Tim Harder
2016-07-12 18:51 Tim Harder
2016-03-12 18:14 Tim Harder
2016-03-03 18:29 Patrick McLean
2016-03-03 18:29 Patrick McLean
2016-03-01 20:41 Patrick Lauer
2016-02-18 20:44 Patrick Lauer
2015-08-25  2:47 Tim Harder
2015-08-25  2:47 Tim Harder

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1654068095.a1a8999729d8e4f7877968bf6e3e2ad3139ed98b.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox